/*
  Copyright 1996-2002
  Simon Whiteside

  $Id: Interpreter.java,v 1.42 2001/09/25 11:20:02 sdw Exp $
*/

package simkin;	

/**
 * This class stores info about the current execution context - such the name of the current script and the line number being executed.
 */

class Context {
    /** Constructor
     * @param location - the name of the source file
     */
    public Context(String location){
	m_Location=location;
	m_LineNum=0;
    }
    /** location during script execution */
    public String m_Location;
    /** line number during script execution */
    public int m_LineNum;
}
