/*
  Copyright 1996-2001
  Simon Whiteside

* $Id: ScriptedExecutable.java,v 1.4 2001/06/11 20:34:10 sdw Exp $
*/
package simkin;
import larts.util.*;
import java.io.*;

/**
 * This class is a base class for objects which store data and Simkin code in an associated TreeNode file
 */
public class ScriptedExecutable extends TreeNodeObject {
    /**
     * this constructor reads in the treenode file named and stores it as an instance variable
     * @param filename the name of the treenode file to load
     * @throws IOException if there was a problem reading the file
     * @throws FileNotFoundException if the file could not be found
     */
    public ScriptedExecutable(String filename) throws IOException, FileNotFoundException{
	super();
	load(filename,new FileInputStream(filename));
    }
    /** Blank constructor */
    public ScriptedExecutable(){
    }
}


