/*
  Copyright 1996-2001
  Simon Whiteside

  $Id: Utils.java,v 1.2 2001/07/05 09:52:47 sdw Exp $
*/
package simkin;

/**
 * This class provides useful functions to the Simkin library
 */
public final class Utils {
    /**
     * Adds two strings together efficiently
     */
    static public String addStrings(String one,String two){
	StringBuffer buffer=new StringBuffer(one.length()+two.length());
	buffer.append(one);
	buffer.append(two);
	return buffer.toString();
    }
    /**
     * Adds three strings together efficiently
     */
    static public String addStrings(String one,String two,String three){
	StringBuffer buffer=new StringBuffer(one.length()+two.length()+three.length());
	buffer.append(one);
	buffer.append(two);
	buffer.append(three);
	return buffer.toString();
    }
    /**
     * Adds four strings together efficiently
     */
    static public String addStrings(String one,String two,String three,String four){
	StringBuffer buffer=new StringBuffer(one.length()+two.length()+three.length()+four.length());
	buffer.append(one);
	buffer.append(two);
	buffer.append(three);
	buffer.append(four);
	return buffer.toString();
    }
}
