/*
  Copyright 1996-2002
  Simon Whiteside

* $Id: ExecutableIterator.java,v 1.2 2002/02/07 18:52:23 sdw Exp $
*/

package simkin;

/**
 * This interface is implemented by objects can iterate over Executable objects. This class is used by the interpreter in the foreach statement.
 */
public interface ExecutableIterator {
    /** this method returns the next object in the enumeration, or null if the enumeration is ended */
    public Object next();
}
