/*
  Copyright 1996-2001
  Simon Whiteside

* $Id: TraceCallback.java,v 1.4 2001/05/09 10:30:18 sdw Exp $
*/

package simkin;

/**
 * This interface is implemented by objects which provide a tracing facility for ExecutableRoot.
 */
public interface TraceCallback {
    /** 
     * this method is called when objects derived from ExecutableRoot wish to generate a trace message.
     */
    public void trace(String s);
}
